Bug 103394 - rpm fails on dependencies but dependencies appear to be there.
rpm fails on dependencies but dependencies appear to be there.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
none
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 14:35 EDT by Need Real Name
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-12 03:53:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-29 14:35:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
After receiving the mail about the certificates expiring today,  I downloaded
rpm-2.8.40-1.7.1.i386.rpm, rpm-gnome-2.8.40-1.7.1.i386.rpm,
rhn-register-2.8.27-1.7.1.i386.rpm, and
rhn-register-gnome-2.8.27-1.7.1.i386.rpm.  I attempted to install using rpm as
follows:

rpm -Fvh rpm-2.8.40-1.7.1.i386.rpm

and received the following message  
Error: failed dependencies:
       up2date = 2.8.39 is needed by up2date-2.8.39-1.7.1.i386.rpm

So I ran the following

rpm -q up2date
and received the following message
up2date-2.8.39-1.7.1.i386.rpm

I had the same problem with up2date-gnome.  I had no problems with rhn -register
or with rhn-register-gnome


Version-Release number of selected component (if applicable):
rpm-4.0.4-7x

How reproducible:
Always

Steps to Reproduce:
1.rpm -Fvh up2date-2.8.40-1.7.1.i386.rpm
2.
3.
    

Actual Results:  Error: failed dependencies:
       up2date = 2.8.39 is needed by up2date-2.8.39-1.7.1.i386.rpm

Expected Results:  It should have installed the update as it did with rhn-register

Additional info:

I think I have covered it all
Comment 1 Jeff Johnson 2003-09-07 14:08:35 EDT
What does
    rpm -Uvv up2date-2.8.40-1.7.1.i386.rpm
say? Attach output if the command fails.
Comment 2 Mark J. Cox (Product Security) 2003-12-12 03:53:47 EST
no response, closing.  Please reopen if this still occurs.

Note You need to log in before you can comment on or make changes to this bug.